<div id="body" class="container-fluid">
  <h6>Set Qualifications</h6>
  <div class="card mb-1">
    <h6 class="card-header">Qualifications - Form</h6>
    <div class="card-body">
      <form [formGroup]="form" novalidate>

        <div class="form-group form-group-sm row">
          <label class="col-4 font-weight-bold">Event Types:</label>
          <div class="col-20 border-checkbox-list">
            <div class="mb-2 mt-2">
              <div class="checkbox-column">
                <dx-check-box formControlName="eventTypesSelectAll"
                              text="Select All">
                </dx-check-box>
              </div>
              <div class="checkbox-column" formArrayName="eventTypes"
                   *ngFor='let item of eventTypes; let i = index'>
                <dx-check-box [formControlName]="i"
                              text="{{ item.text }}">
                </dx-check-box>
              </div>
            </div>
          </div>
        </div>

        <div class="form-group form-group-sm row">
          <label class="col-4 font-weight-bold">Activity Types:</label>
          <div class="col-20 border-checkbox-list">
            <div class="mb-2 mt-2">
              <div class="checkbox-column" formArrayName="mdsActivityTypes"
                   *ngFor='let item of mdsActivityTypes; let i = index'>
                <dx-check-box [formControlName]="i"
                              text="{{ item.text }}">
                </dx-check-box>
              </div>
            </div>
          </div>
        </div>

        <mat-accordion>
          <mat-expansion-panel class="mb-1">
            <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
              <mat-panel-title><h6>Dedicated Customer Name</h6></mat-panel-title>
            </mat-expansion-panel-header>
            <div class="form-group form-group-sm row">
              <label class="col-4 font-weight-bold">Dedicated Customer Name:</label>
              <div class="col-20 border-checkbox-list">
                <div class="mb-2 mt-2">
                  <div class="checkbox-column">
                    <dx-check-box formControlName="dedicatedCustomersSelectAll"
                                  text="Select All">
                    </dx-check-box>
                  </div>
                  <div class="checkbox-column" formArrayName="dedicatedCustomers"
                       *ngFor='let item of dedicatedCustomers; let i = index'>
                    <dx-check-box [formControlName]="i"
                                  text="{{ item.text }}">
                    </dx-check-box>
                  </div>
                </div>
              </div>
            </div>
          </mat-expansion-panel>
        </mat-accordion>

        <div class="form-group form-group-sm row">
          <label class="col-4 font-weight-bold">Network Activity Types:</label>
          <div class="col-20 border-checkbox-list">
            <div class="mb-2 mt-2">
              <div class="checkbox-column">
                <dx-check-box formControlName="mplsActivityTypesSelectAll"
                              text="Select All">
                </dx-check-box>
              </div>
              <div class="checkbox-column" formArrayName="mplsActivityTypes"
                   *ngFor='let item of mplsActivityTypes; let i = index'>
                <dx-check-box [formControlName]="i"
                              text="{{ item.text }}">
                </dx-check-box>
              </div>
            </div>
          </div>
        </div>

        <div class="form-group form-group-sm row">
          <label class="col-4 font-weight-bold">Enhanced Services:</label>
          <div class="col-20 border-checkbox-list">
            <div class="mb-2 mt-2">
              <div class="checkbox-column">
                <dx-check-box formControlName="enhancedServicesSelectAll"
                              text="Select All">
                </dx-check-box>
              </div>
              <div class="checkbox-column" formArrayName="enhancedServices"
                   *ngFor='let item of enhancedServices; let i = index'>
                <dx-check-box [formControlName]="i"
                              text="{{ item.text }}">
                </dx-check-box>
              </div>
            </div>
          </div>
        </div>

        <mat-accordion>
          <mat-expansion-panel class="mb-1">
            <mat-expansion-panel-header collapsedHeight="inherit" expandedHeight="inherit" class="card-header py-2 px-3">
              <mat-panel-title><h6>Vendor Model</h6></mat-panel-title>
            </mat-expansion-panel-header>
            <div class="form-group form-group-sm row">
              <label class="col-4 font-weight-bold">Vendor Model:</label>
              <div class="col-20 border-checkbox-list">
                <div class="mb-2 mt-2">
                  <div class="checkbox-column">
                    <dx-check-box formControlName="vendorModelsSelectAll"
                                  text="Select All">
                    </dx-check-box>
                  </div>
                  <div class="checkbox-column" formArrayName="vendorModels"
                       *ngFor='let item of vendorModels; let i = index'>
                    <dx-check-box [formControlName]="i"
                                  text="{{ item.text }}">
                    </dx-check-box>
                  </div>
                </div>
              </div>
            </div>
          </mat-expansion-panel>
        </mat-accordion>

        <div class="form-group form-group-sm row">
          <label class="col-4 font-weight-bold">IP Version:</label>
          <div class="col-20 border-checkbox-list">
            <div class="mb-2 mt-2">
              <div class="checkbox-column">
                <dx-check-box formControlName="ipVersionsSelectAll"
                              text="Select All">
                </dx-check-box>
              </div>
              <div class="checkbox-column" formArrayName="ipVersions"
                   *ngFor='let item of ipVersions; let i = index'>
                <dx-check-box [formControlName]="i"
                              text="{{ item.text }}">
                </dx-check-box>
              </div>
            </div>
          </div>
        </div>

        <div class="form-group form-group-sm row">
          <label class="col-4 font-weight-bold">Assigned To:</label>
          <div class="col-20">
            <dx-select-box name="assignedTo" formControlName="assignedTo" [items]="users"
                           placeholder="Select Assigned To" [showClearButton]="true"
                           displayExpr="dsplNme" valueExpr="userId"
                           [searchEnabled]="true" [searchExpr]="['dsplNme']" searchMode="startswith">
            </dx-select-box>
            <div *ngIf="assignedTo.invalid && (assignedTo.dirty || assignedTo.touched || isSubmitted)">
              <span *ngIf="assignedTo.errors.required" class="form-text text-danger">
                Assigned To is required
              </span>
            </div>
          </div>
        </div>

        <div class="form-row text-center">
          <div class="form-group form-group-sm col-12 col-md-6 col-lg-4 offset-md-6 offset-lg-8">
            <button class="btn btn-sm btn-primary btn-block" type="button" (click)="submit()">
              Save
            </button>
          </div>
          <div class="form-group form-group-sm col-12 col-md-6 col-lg-4">
            <button class="btn btn-sm btn-secondary btn-block" type="button" [routerLink]='["/admin/qualifications"]'>
              Cancel
            </button>
          </div>
        </div>
      </form>
    </div>
  </div>
</div>
